GWT 2.7.0

## com.google.gwt.core.ext.typeinfo
Interface JEnumConstant

All Superinterfaces:
  HasAnnotations, HasMetaData, JField

    public interface JEnumConstant

extends JField

An enumeration constant declared in an enumerated type.

Method Summary
`int` | `getOrdinal()` Returns the ordinal value for this enumeration constant.

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JField
`getEnclosingType, getName, getType, isDefaultAccess, isEnumConstant, isFinal, isPrivate, isProtected, isPublic, isStatic, isTransient, isVolatile`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations
`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasMetaData
`getMetaData, getMetaDataTags`

Method Detail

### getOrdinal

    int getOrdinal()

  Returns the ordinal value for this enumeration constant.

  Returns:
    ordinal value for this enumeration constant

GWT 2.7.0